<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod		Indent BBC
 *
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function IndentBBC(&$codes)
{
	// Add bbc code(s)
	$codes[] = array(
			'tag' => 'indent',
			'before' => '<div style="margin: 0 3%;">',
			'after' => '</div>',
			'block_level' => true
	);
	$codes[] = array(
			'tag' => 'left-indent',
			'before' => '<div style="margin-left: 3%;">',
			'after' => '</div>',
			'block_level' => true
	);
	$codes[] = array(
			'tag' => 'right-indent',
			'before' => '<div style="margin-right: 3%;">',
			'after' => '</div>',
			'block_level' => true
	);
}

function IndentBBC_Buttons(&$bbc_tags)
{
	global $txt;

	// Load language(s)
	loadLanguage('IndentBBC');

	// Add bbc button(s)
	$indent_bbc = array();
	foreach ($bbc_tags[1] as $tag)
	{
		$indent_bbc[] = $tag;
		if (isset($tag['image']) && $tag['image'] == 'code')
		{
			$indent_bbc[] = array(
				'image' => 'IndentFullBBC',
				'code' => 'indent',
				'before' => '[indent]',
				'after' => '[/indent]',
				'description' => $txt['indent']
			);
			$indent_bbc[] = array(
				'image' => 'IndentLeftBBC',
				'code' => 'left-indent',
				'before' => '[left-indent]',
				'after' => '[/left-indent]',
				'description' => $txt['left-indent']
			);
			$indent_bbc[] = array(
				'image' => 'IndentRightBBC',
				'code' => 'right-indent',
				'before' => '[right-indent]',
				'after' => '[/right-indent]',
				'description' => $txt['right-indent']
			);
		}
	}
	$bbc_tags[1] = $indent_bbc;
}
?>